VAMP SDK

Video Ad Mediation Platform Software Development Kit

LINEAdsの統合


このガイドではiOSアプリにVAMP SDKのLINEAdsアダプターを導入する方法について説明します。

最新のアダプター

現在リリースされているVAMPLINEAdsAdapterの最新バージョンはこちらになります。

Note

アダプターによってサポートされているOSバージョンでも、VAMP SDKによってサポートされているOSバージョンでなければ、広告を表示をすることはできません。

最新アダプターバージョン 対応アドネットワークバージョン 最低サポートOS 更新日
2.7.20240126.0 2.7.20240126
[公式リリースへ]
iOS12 2024-02-01

CocoaPodsでアダプターをインストール

まずは、CocoaPodsでアダプターをインストールします。

プロジェクトのPodfileに以下の行を追加します。

pod 'VAMPLINEAdsAdapter'

バージョンを指定する場合は以下のようにします。

pod 'VAMPLINEAdsAdapter', "[VERSION]"

依存するフレームワーク

LINEAds SDKは以下のフレームワークに依存しています。

  • AdSupport.framework
  • AppTrackingTransparency.framework
  • AVFoundation.framework
  • CoreMedia.framework
  • CoreTelephony.framework
  • SystemConfiguration.framework
  • AudioToolbox.framework
  • WebKit.framework
  • StoreKit.framework

VAMPLINEAdsAdapterの更新履歴

Version 2.7.20240126.0(2024-02-01)

  • LINEAds SDK 2.7.20240126と互換性があります。
  • Privacy Manifest関連の対応を実施しました。2024年春までに最新バージョンへのアップデートをお願いいたします。

Version 2.7.20231115.0(2023-12-25)

  • LINEAds SDK 2.7.20231115と互換性があります。
  • 広告イベントを取得するAPIを変更しました。
  • 動画リワード広告でリワードを付与するAPIを変更しました。
  • 内部ロジックを改善しました。
  • 詳しくはマイグレーションガイドをご確認ください: iOS FiveSDK導入ガイド - 20231115広告イベント取得方法の変更

Version 2.6.20230609.1(2023-10-18)

  • LINEAds SDK 2.6.20230609と互換性があります。
  • VAMPLINEAdsAdapterのみアップデート

Version 2.6.20230609.0(2023-06-13)

  • LINEAds SDK 2.6.20230609と互換性があります。
  • LINEAds修正内容(2023-06-09):Xcode14以降での環境にのみ対応。内部ロジックを改善しました。

Version 2.6.20230215.0(2023-01-31)

  • LINEAds SDK 2.6.20230215と互換性があります。
  • LINEAds修正内容(2023-02-15):Xcode14以降での環境にのみ対応。内部ロジックを改善しました。

Version 2.5.20221226.0(2023-01-31)

  • LINEAds SDK 20221226と互換性があります。
  • LINEAds修正内容(2022-12-26):Xcode14以降での環境にのみ対応。サポートする下限iOSバージョンを11に引き上げました。非推奨APIのFADDelegateを削除しました。移行が済んでいない方はマイグレーションガイド (opens new window)を参考に移行してください。内部ロジックを改善しました。

Version 2.4.20220722.0(2022-08-01)

  • LINEAds SDK 20220722と互換性があります。

Version 2.4.20220630.0

  • LINEAds SDK 20220630と互換性があります。

Version 2.4.20220225.0

  • LINEAds SDK 20220225と互換性があります。

Version 2.4.20211028.0

  • LINEAds SDK 20211028と互換性があります。

Version 2.4.20211004.0

  • LINEAds SDK 20211004と互換性があります。

Version 2.3.20210524.0

  • LINEAds SDK 20210524と互換性があります。

Version 2.3.20210326.1

  • LINEAds SDK 20210326と互換性があります。
  • CocoaPodsに対応しました。
  • サポートOSをiOS10以降に変更しました。

Version 20210122.0

  • LINEAds SDK 20210122と互換性があります。
  • VAMP SDK v4.1.0.1以降が必要です。